# Add a canned reply

`POST /contact-centre/canned` · Rivier · inbox

Add a canned reply.

- Scope: inbox:write
- Graphql: Mutation.inboxContactCentreCannedCreate
- Sdk: desk.canned.create
- Cli: desk canned-add

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 2000,
      "description": "Text with {{name}} and {{agent}}"
    },
    "queueId": {
      "anyOf": [
        {
          "type": "string",
          "format": "uuid"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "title",
    "body"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/contact-centre/canned' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "body": "string"
}'
```
